Package: groovy.transform

## [Java] Enum PackageScopeTarget

- groovy.transform.PackageScopeTarget

- Intended target when `@`PackageScope is placed at the class level.

  Authors:
    Paul King
  Since:
    1.8.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLASS` |
    `CONSTRUCTORS` |
    `FIELDS` |
    `METHODS` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PackageScopeTarget CLASS

    - #### PackageScopeTarget CONSTRUCTORS

    - #### PackageScopeTarget FIELDS

    - #### PackageScopeTarget METHODS